net.minecraft.entity.ai

## Class RandomPositionGenerator

- java.lang.Object
- - net.minecraft.entity.ai.RandomPositionGenerator

-     public class RandomPositionGenerator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomPositionGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Vec3` | `findRandomTarget(EntityCreature par0EntityCreature, int par1, int par2)` finds a random target within par1(x,z) and par2 (y) blocks
    `static Vec3` | `findRandomTargetBlockAwayFrom(EntityCreature par0EntityCreature, int par1, int par2, Vec3 par3Vec3)` finds a random target within par1(x,z) and par2 (y) blocks in the reverse direction of the point par3
    `static Vec3` | `findRandomTargetBlockTowards(EntityCreature par0EntityCreature, int par1, int par2, Vec3 par3Vec3)` finds a random target within par1(x,z) and par2 (y) blocks in the direction of the point par3

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomPositionGenerator

          public RandomPositionGenerator()

  - ### Method Detail

    - #### findRandomTarget

          public static Vec3 findRandomTarget(EntityCreature par0EntityCreature,
                              int par1,
                              int par2)

      finds a random target within par1(x,z) and par2 (y) blocks

    - #### findRandomTargetBlockTowards

          public static Vec3 findRandomTargetBlockTowards(EntityCreature par0EntityCreature,
                                          int par1,
                                          int par2,
                                          Vec3 par3Vec3)

      finds a random target within par1(x,z) and par2 (y) blocks in the direction of the point par3

    - #### findRandomTargetBlockAwayFrom

          public static Vec3 findRandomTargetBlockAwayFrom(EntityCreature par0EntityCreature,
                                           int par1,
                                           int par2,
                                           Vec3 par3Vec3)

      finds a random target within par1(x,z) and par2 (y) blocks in the reverse direction of the point par3